/*============================================================================
  File:     RestoreSalesDB.sql

  Summary:  Recreate the SalesDB and make sure that no connections exist.
  
  Date:     October 2011

  SQL Server Version: 2005/2008
------------------------------------------------------------------------------
  Written by Kimberly L. Tripp, SQLskills.com

  For more scripts and sample code, check out 
    http://www.SQLskills.com

  This script is intended only as a supplement to demos and lectures
  given by Kimberly L. Tripp.  
  
  THIS CODE AND INFORMATION ARE PROVIDED "AS IS" WITHOUT WARRANTY OF 
  ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT LIMITED 
  TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR FITNESS FOR A
  PARTICULAR PURPOSE.
============================================================================*/

-- This script only takes a few seconds...

SET NOCOUNT ON
go

USE master
go

IF DATABASEPROPERTYEX('SalesDB_RestorePointSnapshot', 'Collation') IS NOT NULL
	DROP DATABASE SalesDB_RestorePointSnapshot
go

IF DATABASEPROPERTYEX('SalesDB_Snapshot', 'Collation') IS NOT NULL
	DROP DATABASE SalesDB_Snapshot
go

IF DATABASEPROPERTYEX('SalesDB', 'Collation') IS NOT NULL
	ALTER DATABASE SalesDB
		SET RESTRICTED_USER 
		WITH ROLLBACK IMMEDIATE
go

USE master
go

RESTORE DATABASE SalesDB
	FROM DISK = N'C:\SQLskills\SalesDBOriginal.bak'
WITH STATS = 10, REPLACE
go

